package overlay

// OverlayClassesGetter can be implemented by components that are used in overlays.
// With this mechanic these components can set additional CSS classes to the modal or toast container.
// One use case is to give a toast or modal some other color with the `d3c-color-*` classes.
type OverlayClassesGetter interface {
	OverlayClasses() (signalClasses, containerClasses string)
}
